Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 974150 - if local domain is some other domain in the forest DNS service records lookups return no results
Summary: if local domain is some other domain in the forest DNS service records lookup...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 14:18 UTC by Jakub Hrozek
Modified: 2020-05-02 17:23 UTC (History)
7 users (show)

Fixed In Version: sssd-1.10.0-18.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:52:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3015 0 None None None 2020-05-02 17:23:03 UTC

Description Jakub Hrozek 2013-06-13 14:18:44 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1973

Currently the DNS domain name of the local AD domain is used to find global catalog servers with the help of DNS SRV lookups. But to reliable find the global catalog servers not the DNS name of the local domain but the DNS name of the forest has to be used.

If the local domain is the forest root, all is working as expected. But if the local domain is some other domain in a forest this DNS SRV lookup will currently return no results.

A patch is attached to this ticket which uses the forest name, which is returned by the CLDAP ping together with the site name, for global catalog lookups.

But this patch is not complete because I still see issues if the return global catalog server is from a different DNS domain. Additionally it might be useful to reorder the returned server so that servers from the local DNS domain are queried first, because it can be assumed that they are 'nearer' than other servers.

Comment 1 Jakub Hrozek 2013-10-04 13:23:39 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 3 Steeve Goveas 2014-01-30 12:50:03 UTC
Please add steps for verifying this bug.
Thanks!

Comment 4 Jakub Hrozek 2014-01-30 16:13:31 UTC
You need a setup with two AD servers that trust each other.

Before the fix, the site discovery only worked for clients that were joined to the forest root.

With the fix, the site discovery would work fine if the client is joined to any of the DCs.

Comment 5 Jeremy Agee 2014-03-19 11:59:14 UTC
Automation test written and passed.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_other_dc_01: bz 974150 forest DNS service records lookup child domain
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'id administrator@sssdad.com' (Expected 0, got 0)
:: [   PASS   ] :: Running 'id administrator@child1.sssdad.com' (Expected 0, got 0)
:: [   PASS   ] :: Running 'id user1_dom1@sssdad.com' (Expected 0, got 0)
:: [   PASS   ] :: Running 'id user1_dom3@child1.sssdad.com' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/sssd/sssd_child1.sssdad.com.log' should contain 'Trying to resolve SRV record of '_gc._tcp.Default-First-Site-Name._sites.sssdad.com'' 
:: [   PASS   ] :: File '/var/log/sssd/sssd_child1.sssdad.com.log' should contain 'SRV resolution of service 'ldap'. Will use DNS discovery domain 'sssdad.com'' 
:: [   LOG    ] :: Duration: 26s
:: [   LOG    ] :: Assertions: 6 good, 0 bad
:: [   PASS   ] :: RESULT: ad_other_dc_01: bz 974150 forest DNS service records lookup child domain

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_other_dc_03: bz 974150 forest DNS service records lookup second tree domain
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'id administrator@sssdad.com' (Expected 0, got 0)
:: [   PASS   ] :: Running 'id administrator@sssdad_tree.com' (Expected 0, got 0)
:: [   PASS   ] :: Running 'id user1_dom1@sssdad.com' (Expected 0, got 0)
:: [   PASS   ] :: Running 'id user1_dom2@sssdad_tree.com' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/sssd/sssd_sssdad_tree.com.log' should contain 'Trying to resolve SRV record of '_gc._tcp.Default-First-Site-Name._sites.sssdad.com'' 
:: [   PASS   ] :: File '/var/log/sssd/sssd_sssdad_tree.com.log' should contain 'SRV resolution of service 'ldap'. Will use DNS discovery domain 'sssdad.com'' 
:: [   LOG    ] :: Duration: 23s
:: [   LOG    ] :: Assertions: 6 good, 0 bad
:: [   PASS   ] :: RESULT: ad_other_dc_03: bz 974150 forest DNS service records lookup second tree domain

Comment 6 Ludek Smid 2014-06-13 10:52:48 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.